#!/bin/bash
# Runs end-to-end export/build/deploy process
set -e
set -o pipefail
basedir=$(dirname $0)
call_ant="ant -Dbasedir=$baseder"
build_script=$basedir/dp-build-deploy.xml
# note that we're saving config export in a temp directory since these files would already be checked in
$call_ant -f $build_script export.crypto export.services export.domain.definition -Denv=devtest.dev -Dservices.config.home=dpconfigs-temp "$@" 
$call_ant -f $build_script clean.deploy.services -Denv=devtest.test "$@" 
$call_ant -f $build_script deploy.services.copy -Denv=devtest.test "$@" 
$call_ant -f $build_script rollback -Denv=devtest.test "$@" 
$call_ant -f $build_script clean.deploy.domain -Denv=devtest.preprod "$@" 
$call_ant -f $build_script deploy.2devices "$@" 

